package com.zfire.jiasm.syncdata.upload.settlement;

import com.zfire.jiasm.syncdata.utils.OLDSystemUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class SettlementInstall {

    @Autowired
    private OLDSystemUtil oldSystemTask;

    @Scheduled(fixedDelay = 1 * 10 * 1000)
    private void process() {
        log.info("家用空调.....................开始");
        oldSystemTask.process("家用空调", "itf_installitem", "installItem",
                new Object[] { "itf_tblazwgmxjykt", "tblazwgmxjykt", new String[] { "itf_tblazwgmxjyktfj" },
                        new String[] { "tblAzWgmxJyktFj" }, "\"tblAzWgmxJyktSpecial\":[],\"tblAzWgmxOtherinfo\":[]", "",
                        "" },
                new Object[] { "itf_tblazwgmxjykt", "tblazwgmxjykt", new String[] { "itf_tblazwgmxjyktfj" },
                        new String[] { "tblAzWgmxJyktFj" }, "\"tblAzWgmxJyktSpecial\":[],\"tblAzWgmxOtherinfo\":[]",
                        "", "" },
                true, 1, "id");
        log.info("家用空调.....................结束");
    }

}
